CREATE TABLE ben_batch_ler_info (
    BATCH_LER_ID           NUMBER(18, 0),
    BUSINESS_GROUP_ID      NUMBER(18, 0)    NOT NULL,
    BENEFIT_ACTION_ID      NUMBER(18, 0)    NOT NULL,
    PERSON_ID              NUMBER(18, 0)    NOT NULL,
    BENEFIT_RELATION_ID    NUMBER(18, 0),
    LER_ID                 NUMBER(18, 0)    NOT NULL,
    LF_EVT_OCRD_DT         DATE             NOT NULL,
    REPLCD_FLAG            VARCHAR2(120)    NOT NULL,
    CRTD_FLAG              VARCHAR2(120)    NOT NULL,
    TMPRL_FLAG             VARCHAR2(120)    NOT NULL,
    DLTD_FLAG              VARCHAR2(120)    NOT NULL,
    OPEN_AND_CLSD_FLAG     VARCHAR2(120)    NOT NULL,
    CLSD_FLAG              VARCHAR2(120)    NOT NULL,
    NOT_CRTD_FLAG          VARCHAR2(120)    NOT NULL,
    STL_ACTV_FLAG          VARCHAR2(120)    NOT NULL,
    PER_IN_LER_ID          NUMBER(18, 0),
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CLPSD_FLAG             VARCHAR2(120)    NOT NULL,
    CLSN_FLAG              VARCHAR2(120)    NOT NULL,
    NO_EFFECT_FLAG         VARCHAR2(120)    NOT NULL,
    CVRGE_RT_PREM_FLAG     VARCHAR2(120)    NOT NULL,
    BATCH_LER_ID           NUMBER(18, 0),
    BUSINESS_GROUP_ID      NUMBER(18, 0)    NOT NULL,
    BENEFIT_ACTION_ID      NUMBER(18, 0)    NOT NULL,
    PERSON_ID              NUMBER(18, 0)    NOT NULL,
    BENEFIT_RELATION_ID    NUMBER(18, 0),
    LER_ID                 NUMBER(18, 0)    NOT NULL,
    LF_EVT_OCRD_DT         DATE             NOT NULL,
    REPLCD_FLAG            VARCHAR2(120)    NOT NULL,
    CRTD_FLAG              VARCHAR2(120)    NOT NULL,
    TMPRL_FLAG             VARCHAR2(120)    NOT NULL,
    DLTD_FLAG              VARCHAR2(120)    NOT NULL,
    OPEN_AND_CLSD_FLAG     VARCHAR2(120)    NOT NULL,
    CLSD_FLAG              VARCHAR2(120)    NOT NULL,
    NOT_CRTD_FLAG          VARCHAR2(120)    NOT NULL,
    STL_ACTV_FLAG          VARCHAR2(120)    NOT NULL,
    PER_IN_LER_ID          NUMBER(18, 0),
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CLPSD_FLAG             VARCHAR2(120)    NOT NULL,
    CLSN_FLAG              VARCHAR2(120)    NOT NULL,
    NO_EFFECT_FLAG         VARCHAR2(120)    NOT NULL,
    CVRGE_RT_PREM_FLAG     VARCHAR2(120)    NOT NULL,
    CONSTRAINT pk_ben_batch_ler_info PRIMARY KEY (BATCH_LER_ID, BATCH_LER_ID)
);
